Subject: Re: bug#24718: emacs25.1 + gnus, opening message gives: epg-error "no usable configuration" CMS, bug#24718: 25.1; (auth-source-search) fails in 25.1.1 for OSX

From: Ted Zlatanov <[email-masked]>
Date: Wed, 19 Oct 2016 09:23:10 -0400

On Tue, 18 Oct 2016 15:59:05 +0200 Gijs Hillenius <[email-masked]> wrote: 

GH> Ted asked me to follow up here, so reposting and edited version of my
GH> question on gnu.emacs.help.

Hi Gijs, can you try Alexey's workaround? Also note my two suggestions
at the bottom, if the workaround doesn't do it.

Alexey reported this for Mac OS but it seems like it may affect multiple
platforms, since you said that you were on Debian.

Thanks
Ted

On Wed, 19 Oct 2016 00:14:50 +0200 Alexey Veretennikov <[email-masked]> wrote: 

AV> I've found rather strange solution/workaround.
AV> I've used gpg version 2.0.xx, which worked for me for 25.0.50 I believe.
AV> But for 25.1 I had to upgrade gpg to 2.1.15. Now everything seems to work.

AV> Ted Zlatanov <[email-masked]> writes:

>> there are two easy things you can do to help us locate the problem:
>> 
>> 1) open any .gpg file directly. Does that fail with the same message?
>> 
>> 2) set auth-sources to ~/.authinfo and put some lines in that file. Does
>> that work?
>> 
>> If (1) fails and (2) works, the problem is in EPA/EPG or its
>> configuration, and not auth-source. You can use (2) as a workaround
>> until this issue is resolved.